Issue recurring - task #48

date_limit before anchor_date results in exception on recurrence creation/issue display
2023-12-21 02:21 - cryptogopher

Status: closed
Priority: bug
Assignee: cryptogopher
Category:

Target version: 1.8

Redmine version: 5.0.x
Description

Anchor mode date_fixed_after_close does not properly handle case when date_limit is before anchor_date.
Solution:

o fix case when IssueRecurrence#advance returns nil for date_fixed_after_close right from recurrence creation
¢ disallow date_limit <= anchor_date as it does not make sense anyway

Associated revisions

Revision f22bea8c - 2023-12-27 01:59 - cryptogopher

Force date_limit to be after anchor_date if set

Closes #48

History

#1 - 2023-12-21 02:24 - cryptogopher

- Description updated

#2 - 2023-12-26 21:06 - cryptogopher

- Description updated

#3 - 2023-12-26 21:06 - cryptogopher

- Subject changed from system/issue_recurrences_test.rb --name test_update_recurrence --seed 4680 to date_limit before anchor_date results in

exception on recurrence creation/issue display

#4 - 2023-12-27 02:08 - cryptogopher

- Status changed from new to closed

Applied in changeset issue-recurring-github|f22bea8cacba32bc625dd26a6db55{f03f72f03f.
